Poll Connection Status
GET /v1/connect/:connectionId
Polls the status of an in-progress OAuth connection. Call this repeatedly (e.g., every 3 seconds) after starting a connection with POST /v1/connect.
Authentication
Section titled “Authentication”Required. Bearer token: Authorization: Bearer sk_xxx
Path parameters
Section titled “Path parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
connectionId | string | Yes | Connection ID returned by POST /v1/connect |
Response
Section titled “Response”Pending:
{ "status": "pending", "integration": "github"}Connected:
{ "status": "connected", "integration": "github"}Error:
{ "status": "error", "integration": "github"}Status values
Section titled “Status values”| Status | Meaning |
|---|---|
pending | OAuth flow in progress, keep polling |
connected | Successfully connected, stop polling |
error | Authorization failed or was denied |
Errors
Section titled “Errors”| Code | Error | Description |
|---|---|---|
| 401 | unauthorized | Missing or invalid API key |
| 404 | not_found | Connection ID not found |
Example
Section titled “Example”$ curl -H "Authorization: Bearer sk_a1b2c3d4..." \ https://api.skillett.dev/v1/connect/conn_abc123